# phpMyAdmin MySQL-Dump
# version 2.2.1
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Erstellungszeit: 19. Nov 2001 um 13:33
# Server Version: 3.23.44
# PHP Version: 4.0.6
# Datenbank : `dbs_uebung`
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `akrel`
#

CREATE TABLE akrel (
  AuftragNr int(11) NOT NULL default '0',
  KundenNr int(11) NOT NULL default '0',
  PRIMARY KEY  (AuftragNr,KundenNr)
) TYPE=MyISAM;

#
# Daten fr Tabelle `akrel`
#

INSERT INTO akrel VALUES (100, 200);
INSERT INTO akrel VALUES (110, 201);
INSERT INTO akrel VALUES (120, 202);
INSERT INTO akrel VALUES (130, 303);
INSERT INTO akrel VALUES (140, 204);
INSERT INTO akrel VALUES (150, 303);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `artikel`
#

CREATE TABLE artikel (
  ArtikelNr int(11) NOT NULL auto_increment,
  Bezeichnung char(20) NOT NULL default '',
  EK_Preis float(4,2) NOT NULL default '0.00',
  VK_Preis float(4,2) NOT NULL default '0.00',
  PRIMARY KEY  (ArtikelNr)
) TYPE=MyISAM;

#
# Daten fr Tabelle `artikel`
#

INSERT INTO artikel VALUES (567, 'Kabelbrcke', '17.50', '19.99');
INSERT INTO artikel VALUES (890, 'Anschlusskasten', '62.50', '99.50');
INSERT INTO artikel VALUES (100, 'Stecker, TypA', '18.65', '20.00');
INSERT INTO artikel VALUES (101, 'Stecker, TypB', '16.40', '19.50');
INSERT INTO artikel VALUES (432, 'Verbindung', '1.20', '5.00');
INSERT INTO artikel VALUES (320, 'Stromzhler', '89.50', '100.00');
INSERT INTO artikel VALUES (500, 'Komplett Standard', '350.00', '499.90');
INSERT INTO artikel VALUES (501, 'Komplett Deluxe', '460.00', '699.90');
INSERT INTO artikel VALUES (502, 'Komplett Mini', '265.00', '299.90');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aufgabe7a`
#

CREATE TABLE aufgabe7a (
  AuftragNr int(11) NOT NULL default '0',
  Bezeichnung char(20) NOT NULL default '',
  Status_ char(20) NOT NULL default ''
) TYPE=MyISAM;

#
# Daten fr Tabelle `aufgabe7a`
#

INSERT INTO aufgabe7a VALUES (100, 'Reparatur', 'ok');
INSERT INTO aufgabe7a VALUES (110, 'Wartung', 'ok');
INSERT INTO aufgabe7a VALUES (120, 'Einbau', 'i.A.');
INSERT INTO aufgabe7a VALUES (130, 'Wartung', 'Fehler');
INSERT INTO aufgabe7a VALUES (140, 'Reparatur', 'erl.');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aufgabe7b`
#

CREATE TABLE aufgabe7b (
  AuftragNr int(11) NOT NULL default '0',
  Bezeichnung char(20) NOT NULL default '',
  Anzahl int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Daten fr Tabelle `aufgabe7b`
#

INSERT INTO aufgabe7b VALUES (567, 'Kabelbrcke', 3);
INSERT INTO aufgabe7b VALUES (432, 'Kabelbrcke', 2);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aufgabe7c`
#

CREATE TABLE aufgabe7c (
  ArtikelNr int(11) NOT NULL default '0',
  Bezeichnung char(20) NOT NULL default '',
  Anzahl int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Daten fr Tabelle `aufgabe7c`
#

INSERT INTO aufgabe7c VALUES (500, 'Komplett Standard', 9);
INSERT INTO aufgabe7c VALUES (501, 'Komplett Deluxe', 16);
INSERT INTO aufgabe7c VALUES (890, 'Anschlusskasten', 5);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aufgabe7d`
#

CREATE TABLE aufgabe7d (
  AuftragNr int(11) NOT NULL default '0',
  Bezeichnung char(20) NOT NULL default '',
  Einkaufskosten double(16,4) NOT NULL default '0.0000',
  Verkaufserloese double(16,4) NOT NULL default '0.0000',
  Gewinnspanne double(16,4) NOT NULL default '0.0000'
) TYPE=MyISAM;

#
# Daten fr Tabelle `aufgabe7d`
#

INSERT INTO aufgabe7d VALUES (100, 'Reparatur', '274.8000', '339.4000', '64.6000');
INSERT INTO aufgabe7d VALUES (110, 'Wartung', '161.1000', '203.0000', '41.9000');
INSERT INTO aufgabe7d VALUES (120, 'Einbau', '350.0000', '499.9000', '149.9000');
INSERT INTO aufgabe7d VALUES (130, 'Wartung', '350.0000', '499.9000', '149.9000');
INSERT INTO aufgabe7d VALUES (140, 'Reparatur', '460.0000', '699.9000', '239.9000');
INSERT INTO aufgabe7d VALUES (150, 'Neubau', '265.0000', '299.9000', '34.9000');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aufgabe7e`
#

CREATE TABLE aufgabe7e (
  KundenNr int(11) NOT NULL default '0',
  Name char(20) NOT NULL default '',
  Ort char(20) NOT NULL default '',
  Strasse char(20) NOT NULL default ''
) TYPE=MyISAM;

#
# Daten fr Tabelle `aufgabe7e`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `auftrag`
#

CREATE TABLE auftrag (
  AuftragNr int(11) NOT NULL auto_increment,
  Bezeichnung char(20) NOT NULL default '',
  Status char(10) default NULL,
  PRIMARY KEY  (AuftragNr)
) TYPE=MyISAM;

#
# Daten fr Tabelle `auftrag`
#

INSERT INTO auftrag VALUES (100, 'Reparatur', 'ok');
INSERT INTO auftrag VALUES (110, 'Wartung', 'ok');
INSERT INTO auftrag VALUES (120, 'Einbau', 'i.A.');
INSERT INTO auftrag VALUES (130, 'Wartung', 'Fehler');
INSERT INTO auftrag VALUES (140, 'Reparatur', 'erl.');
INSERT INTO auftrag VALUES (150, 'Neubau', 'KoVor');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `auftragspositionen`
#

CREATE TABLE auftragspositionen (
  AuftragNr int(11) NOT NULL default '0',
  ArtikelNr int(11) NOT NULL default '0',
  Anzahl int(11) NOT NULL default '0',
  PRIMARY KEY  (AuftragNr,ArtikelNr)
) TYPE=MyISAM;

#
# Daten fr Tabelle `auftragspositionen`
#

INSERT INTO auftragspositionen VALUES (100, 567, 10);
INSERT INTO auftragspositionen VALUES (100, 890, 1);
INSERT INTO auftragspositionen VALUES (100, 100, 2);
INSERT INTO auftragspositionen VALUES (110, 432, 5);
INSERT INTO auftragspositionen VALUES (110, 320, 1);
INSERT INTO auftragspositionen VALUES (110, 101, 4);
INSERT INTO auftragspositionen VALUES (120, 500, 1);
INSERT INTO auftragspositionen VALUES (130, 500, 1);
INSERT INTO auftragspositionen VALUES (140, 501, 1);
INSERT INTO auftragspositionen VALUES (150, 502, 1);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `kunde`
#

CREATE TABLE kunde (
  KundenNr int(11) NOT NULL auto_increment,
  Name char(20) NOT NULL default '',
  Ort char(20) default NULL,
  Strasse char(30) default NULL,
  PRIMARY KEY  (KundenNr)
) TYPE=MyISAM;

#
# Daten fr Tabelle `kunde`
#

INSERT INTO kunde VALUES (200, 'Mller', 'Berlin', 'Torstr 140');
INSERT INTO kunde VALUES (201, 'Meier', 'Potsdam', 'Zeppelinstr. 87b');
INSERT INTO kunde VALUES (202, 'Schmidt', 'Potsdam', 'Am Luftschiffhafen 1');
INSERT INTO kunde VALUES (203, 'Schulze', 'Potsdam', 'Prof.Dr.Helmert Str.2');
INSERT INTO kunde VALUES (204, 'Mller', 'Werder', 'Dorfweg 17');
INSERT INTO kunde VALUES (303, 'Toll GmbH', 'Berlin', 'Prenzlauer Allee 147');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `kunde_alt`
#

CREATE TABLE kunde_alt (
  KundenNr int(11) NOT NULL auto_increment,
  Name char(20) NOT NULL default '',
  Ort char(20) default NULL,
  Strasse char(30) default NULL,
  PRIMARY KEY  (KundenNr)
) TYPE=MyISAM;

#
# Daten fr Tabelle `kunde_alt`
#

INSERT INTO kunde_alt VALUES (200, 'Mller', 'Berlin', 'Torstr 140');
INSERT INTO kunde_alt VALUES (201, 'Meier', 'Potsdam', 'Zeppelinstr. 87b');
INSERT INTO kunde_alt VALUES (202, 'Schmidt', 'Potsdam', 'Am Luftschiffhafen 1');
INSERT INTO kunde_alt VALUES (203, 'Schulze', 'Potsdam', 'Prof.Dr.Helmert Str.2');
INSERT INTO kunde_alt VALUES (204, 'Mller', 'Werder', 'Dorfweg 17');
INSERT INTO kunde_alt VALUES (303, 'Toll GmbH', 'Berlin', 'Prenzlauer Allee 147');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lagerort`
#

CREATE TABLE lagerort (
  Lager char(20) NOT NULL default '',
  Lagerplatz char(20) NOT NULL default '',
  ArtikelNr int(11) NOT NULL default '0',
  Anzahl int(11) default NULL,
  PRIMARY KEY  (Lager,Lagerplatz,ArtikelNr)
) TYPE=MyISAM;

#
# Daten fr Tabelle `lagerort`
#

INSERT INTO lagerort VALUES ('Nord', 'Regal1', 567, 50);
INSERT INTO lagerort VALUES ('Nord', 'Regal2', 890, 3);
INSERT INTO lagerort VALUES ('Nord', 'Regal1', 100, 20);
INSERT INTO lagerort VALUES ('Nord', 'Tresen', 100, 5);
INSERT INTO lagerort VALUES ('Nord', 'Regal2', 101, 25);
INSERT INTO lagerort VALUES ('Sd', 'Regal1', 432, 100);
INSERT INTO lagerort VALUES ('Nord', 'Regal5', 432, 278);
INSERT INTO lagerort VALUES ('Nord', 'Regal4', 500, 4);
INSERT INTO lagerort VALUES ('Sd', 'Regal2', 502, 10);
INSERT INTO lagerort VALUES ('Nord', 'Regal4', 501, 10);
INSERT INTO lagerort VALUES ('Nord', 'Regal3', 502, 15);
INSERT INTO lagerort VALUES ('Sd', 'Regal2', 500, 5);
INSERT INTO lagerort VALUES ('Sd', 'Regal1', 890, 2);
INSERT INTO lagerort VALUES ('Sd', 'Regal3', 501, 6);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ueb2_r`
#

CREATE TABLE ueb2_r (
  a int(11) NOT NULL default '0',
  b int(11) NOT NULL default '0',
  c int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Daten fr Tabelle `ueb2_r`
#

INSERT INTO ueb2_r VALUES (2, 0, 3);
INSERT INTO ueb2_r VALUES (3, 0, 2);
INSERT INTO ueb2_r VALUES (1, 0, 1);
INSERT INTO ueb2_r VALUES (1, 0, 2);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ueb2_s`
#

CREATE TABLE ueb2_s (
  a int(11) NOT NULL default '0',
  e int(11) NOT NULL default '0',
  f int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Daten fr Tabelle `ueb2_s`
#

INSERT INTO ueb2_s VALUES (1, 1, 1);
INSERT INTO ueb2_s VALUES (2, 2, 2);
INSERT INTO ueb2_s VALUES (2, 1, 1);
INSERT INTO ueb2_s VALUES (3, 2, 2);
INSERT INTO ueb2_s VALUES (9, 9, 99);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ueb2_t`
#

CREATE TABLE ueb2_t (
  f int(11) NOT NULL default '0',
  g int(11) NOT NULL default '0',
  neu date NOT NULL default '0000-00-00',
  zahl char(20) default NULL
) TYPE=MyISAM;

#
# Daten fr Tabelle `ueb2_t`
#

INSERT INTO ueb2_t VALUES (1, 2, '1978-12-27', '4');
INSERT INTO ueb2_t VALUES (2, 2, '1989-11-09', '2');
INSERT INTO ueb2_t VALUES (7, 7, '1900-01-01', '7');
INSERT INTO ueb2_t VALUES (5, 5, '2001-09-11', '5');

